# Method: liasettings.setomnichannelexperience

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setomnichannelexperience#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setomnichannelexperience#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setomnichannelexperience#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setomnichannelexperience#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setomnichannelexperience#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setomnichannelexperience#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setomnichannelexperience#try-it)

Sets the omnichannel experience for the specified country. Only supported for merchants whose POS data provider is trusted to enable the corresponding experience. For more context, see these help articles [about LFP](https://support.google.com/merchants/answer/7676652) and [how to get started](https://support.google.com/merchants/answer/7676578) with it.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/liasettings/{accountId}/setomnichannelexperience`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the managing account. If this parameter is not the same as [accountId](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/setomnichannelexperience#accountId), then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account. |
| `accountId` | `string` The ID of the account for which to retrieve accessible Business Profiles. |

### Query parameters

| Parameters ||
|---|---|
| `country` | `string` The CLDR country code (for example, "US") for which the omnichannel experience is selected. |
| `lsfType` | `string` The Local Store Front (LSF) type for this country. Acceptable values are: - "`ghlsf`" (Google-Hosted Local Store Front) - "`mhlsfBasic`" (Merchant-Hosted Local Store Front Basic) - "`mhlsfFull`" (Merchant-Hosted Local Store Front Full) More details about these types can be found [here](https://support.google.com/merchants/answer/7178526). <br /> |
| `pickupTypes[]` | `string` The Pickup types for this country. Acceptable values are: - "`pickupToday`" - "`pickupLater`" <br /> |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings#LiaOmnichannelExperience`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).